% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/checkpoint.R
\docType{methods}
\name{cache}
\alias{cache}
\alias{cache,simList-method}
\title{Cache method for simList class objects}
\usage{
cache(cacheRepo = NULL, FUN, ..., notOlderThan = NULL)

\S4method{cache}{simList}(cacheRepo = NULL, FUN, ..., notOlderThan = NULL)
}
\arguments{
\item{cacheRepo}{An object repository used for storing cached objects.}

\item{FUN}{A function to be called.}

\item{...}{Arguments for function \code{FUN}.}

\item{notOlderThan}{Restore an artifact from database only if it was created after notOlderThan.}
}
\value{
Identical to \code{\link[archivist]{cache}}
}
\description{
Because the \code{simList} has an environment as one of its slots, the caching mechanism
of the archivist package does not work. Here, we make a slight tweak to the
\code{cache} function. Specifically, we remove all elements that have an environment
as part of their attributes. This is generally functions that are loaded from the modules,
but also the \code{.envir} slot in the \code{simList}. Thus, only non-function objects are
used as part of the \code{digest} call in the \code{digest} package (used internally in
the \code{cache} function).
}
\author{
Eliot McIntire
}
\seealso{
\code{\link[archivist]{cache}}.
}

